
BusylightSDK API Puzzel
=====================

This app demonstrates usage of the `BusylightSDK` API.

The Chrome App is using the Chrome HID interface to communicate with the Busylight Device.

To install the App, follow these steps:

•	Store the Busylight App, which is the complete content of the ZIP file somewhere on your computer.
•	In Chrome, navigate to chrome://extensions
•	In the extensions window, activate the development mode. (upper right corner)
•	Click Load unpacked. 
•	Find and select the app folder you have selected in the first step. Do not be astonished not to see the content of the folder in the folder selector. Just select the folder and press OK. The app will be installed immediately.
•	Open a new tab in Chrome click Apps and click the app in the app menu. If you don’t have an Apps button, navigate to chrome://apps/.
*   The application id can also be seen there, which later can be used to access,open or message the application from other sources 
	-> The Chrome application id needs to be added in the admin.puzzel.com, under the Busylight widget for the given customer in ExtensionId field.

* The app has a JSON-formatted manifest file, named manifest.json, that provides important information. For more info visit https://developer.chrome.com/apps/manifest
    - The externally_connectable manifest property declares which extensions, apps, and web pages can connect to your app via runtime.connect and runtime.sendMessage 
    - Background scripts are registered in the manifest under the "background" field. They are listed in an array after the "scripts" key, and "persistent" should be specified    as false. For the current application they are main.js and BusylightSDK.js
    - usbDevices includes all the devices that can be used/accessed in the application. Additional once can be added there.
	
* In case of problems with the chrome app or the busylight, try first to restart the app or remove it from extensions and add it again.


